> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user api key



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/auth/user/api_key
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/auth/user/api_key:
    summary: Gets current user's DMM API key.
    get:
      tags:
        - Other
      summary: Get user api key
      operationId: getUserApiKey
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserApiKeyResponse'
          description: Gets user DMM API key.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '409':
          description: Conflict with resource requested.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    UserApiKeyResponse:
      description: User api key object
      properties:
        api_key:
          description: DMM API Key
          type: string
        user_id:
          description: User Identifier
          type: string
      required:
        - user_id
        - api_key
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Protecting tokens and API keys](/cloud/admin/security-and-compliance/protecting-tokens-api-keys.md)
- [Export Compute and Spend data with the API](/cloud/admin/operations/control-center/export-control-center-data.md)
- [Generate user api key](/api-reference/other/generate-user-api-key.md)
- [Get api key report](/api-reference/other/get-api-key-report.md)
